[@algorandfoundation/algokit-utils](../README.md) / [types/app-arc56](../modules/types_app_arc56.md) / Event

# Interface: Event

[types/app-arc56](../modules/types_app_arc56.md).Event

ARC-28 event

## Table of contents

### Properties

- [args](types_app_arc56.Event.md#args)
- [desc](types_app_arc56.Event.md#desc)
- [name](types_app_arc56.Event.md#name)

## Properties

### args

• **args**: \{ `desc?`: `string` ; `name?`: `string` ; `struct?`: `string` ; `type`: `string`  }[]

The arguments of the event, in order

#### Defined in

[src/types/app-arc56.ts:423](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L423)

___

### desc

• `Optional` **desc**: `string`

Optional, user-friendly description for the event

#### Defined in

[src/types/app-arc56.ts:421](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L421)

___

### name

• **name**: `string`

The name of the event

#### Defined in

[src/types/app-arc56.ts:419](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L419)
